package org.itqop.chatit;

import com.mojang.logging.LogUtils;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.fml.ModLoadingContext;
import net.minecraftforge.event.server.ServerStartingEvent;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.config.ModConfig;
import org.itqop.chatit.commands.ChatitCommand;
import org.itqop.chatit.handlers.ChatEventHandler;
import org.itqop.chatit.utils.Config;
import org.itqop.chatit.utils.PlayerConfigManager;
import org.slf4j.Logger;

@Mod(Chatit.MODID)
public class Chatit {

    public static final String MODID = "chatit";
    private static final Logger LOGGER = LogUtils.getLogger();

    public Chatit() {
        MinecraftForge.EVENT_BUS.register(this);
        MinecraftForge.EVENT_BUS.register(ChatEventHandler.class);
        MinecraftForge.EVENT_BUS.register(ChatitCommand.class);

        ModLoadingContext.get().registerConfig(ModConfig.Type.COMMON, Config.COMMON_CONFIG);
    }

    @SubscribeEvent
    public void onServerStarting(ServerStartingEvent event) {
        PlayerConfigManager.loadConfig();
        LOGGER.info("ChatIT started and configuration loaded.");
    }
}
