package org.itqop.chatit.utils;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.event.config.ModConfigEvent;
import org.itqop.chatit.Chatit;

@Mod.EventBusSubscriber(modid = Chatit.MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class Config {

    private static final ForgeConfigSpec.Builder BUILDER = new ForgeConfigSpec.Builder();

    public static ForgeConfigSpec COMMON_CONFIG;

    public static ForgeConfigSpec.ConfigValue<String> HOST_API;
    public static ForgeConfigSpec.BooleanValue DEFAULT_ADULT;
    public static ForgeConfigSpec.BooleanValue USE_REGEX; // Добавили настройку regex

    static {
        BUILDER.comment("Настройки ChatIT");

        HOST_API = BUILDER
                .comment("URL API для проверки мата")
                .define("host_api", "");

        DEFAULT_ADULT = BUILDER
                .comment("Значение adult по умолчанию для новых игроков")
                .define("default_adult", false);

        USE_REGEX = BUILDER
                .comment("Использовать регулярное выражение при недоступности API")
                .define("regex", true); // Значение по умолчанию false

        COMMON_CONFIG = BUILDER.build();
    }

    public static String hostApi;
    public static boolean defaultAdult;
    public static boolean useRegex;

    @SubscribeEvent
    public static void onLoad(final ModConfigEvent event) {
        hostApi = HOST_API.get();
        defaultAdult = DEFAULT_ADULT.get();
        useRegex = USE_REGEX.get();
    }
}
